### Method

# Clutter Path get_position

#### Declaration [src]

    guint
    clutter_path_get_position (
      ClutterPath* path,
      gdouble progress,
      ClutterKnot* position
    )

#### Description [src]

The value in `progress` represents a position along the path where 0.0 is the beginning and 1.0 is the end of the path. An interpolated position is then stored in `position`.

#### Parameters

`progress`

  Type: `gdouble`

  A position along the path as a fraction of its length.

`position`

  Type: `ClutterKnot`

  Location to store the position.

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `guint`

Index of the node used to calculate the position.